---
features:
  secondary:
  - name: "Obfuscate Elasticsearch password in Admin UI"
    available_in: [premium, ultimate]
    gitlab_com: false
    documentation_link: 'https://docs.gitlab.com/ee/integration/elasticsearch.html#advanced-search-configuration'
    image_url: '/images/13_12/obfuscate_elasticsearch_password_in_admin_ui.png'
    reporter: JohnMcGuire
    stage: enablement
    categories:
    - Global Search
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/328466'
    description: |
      With the Elasticsearch integration, GitLab administrators could only configure a password-protected Elasticsearch server by using the URL with the format `http(s)://<username>:<password>@<elastic_host>:<elastic_port>/`. However, the password was displayed in plain text in the GitLab admin UI. Feedback given by our users showed us that this can be a potential liability as not all GitLab instance admins should be able to see that password.

      With this release, we provide separate input fields for the Elasticsearch username and password, and the password is obfuscated so that users can't see the characters in plain text.
